<template>
  <div class="card">
    <div class="card-header">
      <i class="icon ic-man-running-left" />
      <span class="title">فعالیت</span>
      <p class="sum font-7 mt-2">
        <span class="text-muted">کالری</span>
        <span class="text-green-light">{{ total }}</span>
      </p>
    </div>
    <div class="card-body">
      <div class="actions">
        <button class="btn btn-danger" @click="$emit('add')">
          <i class="ic-plus" />
        </button>
      </div>
      <touch-scroll
        v-if="ready"
        ref="touchScroll"
        class="meal-foods"
        :width="items.length * 106"
      >
        <div data-class="transition-group">
          <div v-for="item in items" :key="item.id" class="meal-food">
            <activity-item
              :key="`${item.id}_${item.activityId}_${item.amount}`"
              :ref="`activityItem_${item.activityId}`"
              :activity="item"
              @show-me="showItem(item.id)"
              @update="$emit('update')"
            />
          </div>
        </div>
      </touch-scroll>
    </div>
  </div>
</template>

<script>
import ActivityItem from './ActivityItem'
import TouchScroll from '../helper/TouchScroll'
export default {
  name: 'CardItem',
  components: { ActivityItem, TouchScroll },
  props: {
    items: { type: Array, default: () => [] },
    total: { type: Number, default: 0 }
  },
  data() {
    return {
      ready: false
    }
  },
  mounted() {
    setTimeout(() => {
      this.ready = true
    }, 700)
  },
  methods: {
    showItem(id) {
      this.$nextTick(() => {
        let el = this.$refs[`activityItem_${id}`]
        let touchScroll = this.$refs.touchScroll
        if (!el || !touchScroll) return
        touchScroll.iScroll.scrollToElement(el[0].$el, 500)
      })
    }
  }
}
</script>
